__gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, binomial_heap_tag, null_type > Struct Template Reference

## Public Types

typedef binomial_heap< _VTp, Cmp_Fn, _Alloc > | type

## Detailed Description

### template<typename _VTp, typename Cmp_Fn, typename _Alloc>
struct __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, binomial_heap_tag, null_type >

Specialization for binomial_heap.

Definition at line 77 of file priority_queue_base_dispatch.hpp.

## Member Typedef Documentation

template<typename _VTp , typename Cmp_Fn , typename _Alloc >

typedef binomial_heap<_VTp, Cmp_Fn, _Alloc> __gnu_pbds::detail::container_base_dispatch< _VTp, Cmp_Fn, _Alloc, binomial_heap_tag, null_type >::type

Dispatched type.

Definition at line 81 of file priority_queue_base_dispatch.hpp.

The documentation for this struct was generated from the following file:

- priority_queue_base_dispatch.hpp